require( "scripts/style.lua" );

TitleFont = {
  standardFont,
  24,
  BorderColor
};

InfoFont = {
  standardFont,
  14,
  BorderColor
};

CheckFont = {
  standardFont,
  15,
  BorderColor
};

MakeDialog
{
    Bitmap
    {
        name="sssgtip",
		image="backgrounds/popup",
		x=kCenter,
		y=kCenter,
		
		Text
		{
			font = TitleFont,
			name = "title",
			x=30,y=25,
			w=kMax-30,h=kMax-70,
			flags = kVAlignCenter + kHAlignCenter,
			label= "sssgtip",
			padding=0
		};
		
		Text
		{
			font = InfoFont,
			name = "info",
			x=30,y=135,
			w=kMax-30,h=kMax-70,
			flags = kVAlignCenter + kHAlignCenter,
			label= "sssgtipinfo",
			padding=0
		};
		
        
        SetStyle(StandardButtonStyle);
        Button
        {
			command=
				function()
					RecordSSSGTip("dontshow");
					PopModal();
					DoModal("scripts/sssgsetup.lua");
				end;
            label = "savemygame",
            name = "yes",
            x = 35,
            y = 250,
            padding=0
        },
        Button
        {
			command=
				function() 
					RecordSSSGTip("dontshow");
					PopModal();
                end;
            label = "donotsavemygame",
            name = "no",
            x = 235,
            y = 250,
            padding=0
        },
        SetStyle(DefaultStyle);
        
        Button{
			graphics = CheckboxButtonGraphics,
			name="dontshow",
			type = kToggle,
			x=50,
			y=290,
			w=200,
			tx = 25,
			ty = 10,
			xoffset=0,
			yoffset=0,
			scale = 0.7,
			font = CheckFont,
			label="donotshowtip",
			command=
			function()
			
			end
			
		};
        
		
		
    },

} -- MakeDialog
